using Syncfusion.EJ.Export;
using Syncfusion.JavaScript.Models;
using Syncfusion.XlsIO;
using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Configuration;
using System.Data.SqlClient;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using System.Web;
using System.Web.Http;
using System.Web.Script.Serialization;

namespace SpreadsheetWebAPI.Controllers
{
    
    /// </summary>
    [ServiceContract(Namespace = "")]
    [XmlSerializerFormat]
    public class SpreadSheetController : ApiController
    {
        private static string connetionString = ConfigurationManager.ConnectionStrings["SpreadDBConnectionString"].ConnectionString;

        [AcceptVerbs("Get")]
        [OperationContract]
        [WebGet(BodyStyle = WebMessageBodyStyle.Bare)]
        public HttpResponseMessage GetDataFromDB()
        {
            List<Order> orders = new List<Order>();
            SqlConnection sqlCon = new SqlConnection(connetionString);
            SqlCommand sqlComm = new SqlCommand("SELECT * FROM [dbo].[Table]", sqlCon);
            sqlCon.Open();
            SqlDataReader sqlDR = sqlComm.ExecuteReader();
            while (sqlDR.Read())
            {
                Order order = new Order();
                order.OrderID = (int)sqlDR.GetValue(0);
                order.ItemName = sqlDR.GetValue(1).ToString();
                order.Quantity = sqlDR.GetValue(2).ToString();
                order.Price = sqlDR.GetValue(3).ToString();
                order.Amount = sqlDR.GetValue(4).ToString();
                orders.Add(order);
            }
            sqlCon.Close();

            JavaScriptSerializer serializer = new JavaScriptSerializer();
            string str = serializer.Serialize(orders);
            return new HttpResponseMessage() { Content = new StringContent(str, Encoding.UTF8, "text/plain") };
        }
    }

    public class Order
    {
        public int OrderID { get; set; }
        public string ItemName { get; set; }
        public string Quantity { get; set; }
        public string Price { get; set; }
        public string Amount { get; set; }
    }
}
